charts
Create a KPI stat card
POST
/
api
/
v1
/
charts
/
shortcuts
/
kpi
Create a KPI stat card
curl --request POST \
--url https://api.example.com/api/v1/charts/shortcuts/kpi \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/charts/shortcuts/kpi"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/charts/shortcuts/kpi', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"id": "<string>",
"title": "<string>",
"description": "<string>",
"chart_type": "bar",
"source": {
"query": "<string>",
"source_type": "database",
"aggregation": "count",
"group_by": [
"<string>"
],
"sort": {
"field": "<string>",
"order": "desc"
},
"limit": 1000,
"time_field": "<string>",
"connection_config_id": "<string>",
"source_options": {}
},
"theme": {
"color_palette": [
"#6366f1",
"#22d3ee",
"#f59e0b",
"#10b981",
"#ef4444"
],
"font_family": "Inter, sans-serif",
"dark_mode": false,
"show_legend": true,
"show_grid": true,
"show_tooltip": true
},
"dimensions": {
"width": 600,
"height": 400,
"responsive": true
},
"refresh_interval": 123,
"filters": [
{
"field": "<string>",
"operator": "eq",
"value": "<unknown>"
}
],
"permissions": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"organization_id": "<string>",
"config": {},
"project_id": "thaink2"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Response
Successful Response
Single chart returned by the API.
Required string length:
1 - 255Available options:
bar, line, pie, donut, scatter, area, heatmap, table, stat, histogram Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Create a KPI stat card
